org.apache.ignite.internal.processors.cache.query

## Interface GridCacheSqlIndexMetadata

All Superinterfaces:
  Externalizable, LessNamingBean, Serializable

    public interface GridCacheSqlIndexMetadata
    extends Externalizable, LessNamingBean

Ignite index descriptor.

All index descriptors can be obtained from `GridCacheSqlMetadata.indexes(String)` method.

See Also:
  `GridCacheSqlMetadata`

### Method Summary

Methods
`boolean` `descending(String field)` Gets order of the index for each indexed field.
`Collection<String>` `descendings()`
`Collection<String>` `fields()` Gets names of fields indexed by this index.
`String` `name()` Gets name of the index.
`boolean` `unique()` Gets whether this is a unique index.

### Methods inherited from interface java.io.Externalizable

`readExternal, writeExternal`

### Method Detail

#### name

    String name()

Gets name of the index.

Returns:
  Index name.

#### fields

    Collection<String> fields()

Gets names of fields indexed by this index.

Returns:
  Indexed fields names.

#### descending

    boolean descending(String field)

Gets order of the index for each indexed field.

Parameters:
  `field` - Field name.
Returns:
  `True` if given field is indexed in descending order.

#### descendings

    Collection<String> descendings()

Returns:
  Descendings.

#### unique

    boolean unique()

Gets whether this is a unique index.

Returns:
  `True` if index is unique, `false` otherwise.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016